curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
API Reference
Send Message
Send a message in an existing conversation
POST
/
conversation
/
message
curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
Send a message to continue an existing conversation with the Clever AI agent.
Body
string
required
The message to send to the agent
string
The ID of the existing conversation. If not provided, a new conversation will be started.
string
default:"en"
Language for the conversation (
en or it)Response
string
Unique identifier for the conversation
string
Agent’s response to the message
string
Current status of the conversation
object
Updated customer information object
boolean
Whether all required information has been collected
curl -X POST 'https://api.clever.nivara.io/conversation/message' \
-H 'Content-Type: application/json' \
-d '{
"message": "My name is John Smith",
"conversation_id": "conv_123abc456def",
"language": "en"
}'
{
"conversation_id": "conv_123abc456def",
"response": "Thank you, John. Could you please provide your phone number?",
"status": "in_progress",
"customer_info": {
"name": "John Smith",
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}